server{
    listen 443 ssl http2;
    listen [::]:443 ssl http2;
    server_name anime-beta.nozo.tv;

    include h5bp/ssl/ssl_engine.conf;
    include h5bp/ssl/certificate_files.conf;
    include h5bp/ssl/policy_modern.conf;
    include h5bp/ssl/ocsp_stapling.conf;

    add_header Referrer-Policy origin;

    client_max_body_size    100M;

    location /api/ {
        proxy_pass      http://10.0.0.3:2085/;
        proxy_connect_timeout       1d;
        proxy_send_timeout          1d;
        proxy_read_timeout          1d;
        send_timeout                1d;
        proxy_redirect     off;
        proxy_set_header   Host $host;
        proxy_set_header   X-Real-IP $remote_addr;
        proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header   X-Forwarded-Host $server_name;

        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "Upgrade";

        proxy_request_buffering off;
        proxy_buffering off;
    }
    location / {
        proxy_pass      http://10.0.0.3:2086/;
        proxy_connect_timeout       1d;
        proxy_send_timeout          1d;
        proxy_read_timeout          1d;
        send_timeout                1d;
        proxy_redirect     off;
        proxy_set_header   Host $host;
        proxy_set_header   X-Real-IP $remote_addr;
        proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header   X-Forwarded-Host $server_name;

        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "Upgrade";

        proxy_request_buffering off;
        proxy_buffering off;
    }
    add_header accept-ranges "";

    include h5bp/basic.conf;
}
